package io.gitlab.jfronny.inceptum.gtk.window.dialog

import io.gitlab.jfronny.inceptum.gtk.util.kText
import org.gnome.gtk.*

class StringInputDialog(parent: Window?, flags: DialogFlags, type: MessageType, buttons: ButtonsType, message: String, value: String) : MessageDialog(parent, flags, type, buttons, message) {
    private val entry = Entry()

    init {
        (messageArea as Box).append(entry)
        entry.kText = value
    }

    val input: String get() = entry.text
}
